org.apache.cassandra.io.util

## Class SequentialWriterOption

- java.lang.Object
- - org.apache.cassandra.io.util.SequentialWriterOption

    public class SequentialWriterOption
    extends java.lang.Object

SequentialWriter option

### Nested Class Summary

Nested Classes
`static class` `SequentialWriterOption.Builder`

### Field Summary

Fields
`static SequentialWriterOption` `DEFAULT` Default write option.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.nio.ByteBuffer` `allocateBuffer()` Allocate buffer using set buffer type and buffer size.
`int` `bufferSize()`
`BufferType` `bufferType()`
`boolean` `finishOnClose()`
`static SequentialWriterOption.Builder` `newBuilder()`
`boolean` `trickleFsync()`
`int` `trickleFsyncByteInterval()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT

    public static final SequentialWriterOption DEFAULT

Default write option.

- buffer size: 64 KB
- buffer type: on heap
- trickle fsync: false
- trickle fsync byte interval: 10 MB
- finish on close: false

### Method Detail

#### newBuilder

    public static SequentialWriterOption.Builder newBuilder()

#### bufferSize

    public int bufferSize()

#### bufferType

    public BufferType bufferType()

#### trickleFsync

    public boolean trickleFsync()

#### trickleFsyncByteInterval

    public int trickleFsyncByteInterval()

#### finishOnClose

    public boolean finishOnClose()

#### allocateBuffer

    public java.nio.ByteBuffer allocateBuffer()

Allocate buffer using set buffer type and buffer size.

Returns:
  allocated ByteBuffer